Subject: [weirds] Comments on draft-ietf-weirds-bootstrap-05

From: Naoki Kambe <[email-masked]>
Date: Mon, 01 Sep 2014 17:13:55 +0900 (JST)

From: Tom Harrison <[email-masked]>
Date: Mon, 1 Sep 2014 13:31:32 +1000
> On Fri, Aug 29, 2014 at 08:35:28PM +0900, Naoki Kambe wrote:
> > Additionally I've tried to write a small script in Javascript for my
> > understating the I-D.  Please see the attachment. Note that this is
> > only for a domain bootstrap and requires punycode.js:
> > <https://github.com/bestiejs/punycode.js>.
> >
> > Could anyone review it and give any comments?
> 
> Works for me, including the IDN-related behaviour (A-labels and
> U-labels are matched correctly and the request URL is encoded
> correctly).

Thanks for looking at the IDN-related behaviour in addition.

Regarding IDN, I have a further suggestion on the revision -05.  In
addition to the current example in Section 4, putting an IDN case for
the clarification might be helpful like following:

   {
     "rdap_bootstrap": {
       "version": "1.0",
       "publication": "YYYY-MM-DDTHH:MM:SSZ",
       "services": [
         [
           ["net", "com"],
           [
             "https://registry.example.com/myrdap/"
           ]
         ],
         [
           ["org", "mytld"],
           [
             "http://example.org/"
           ]
         ],
         [
           ["mytld2"],
           [
             "https://example.net/rdapmytld2/",
             "http://example.net/rdapmytld2/"
           ]
         ],
         [
           ["xn--fo-5ja"],
           [
             "https://example-registry.net/rdapidntld/"
           ]
         ]
       ]
     }
   }

Regards,

Naoki Kambe